<?php


// switch off error handling, to use custom handler
error_reporting(0); 

// set script time out higher, to help with thumbnail generation
set_time_limit(240);

$tinybrowser = array();

// Session control and security check - to enable please uncomment

if(isset($_GET['sessidpass'])) session_id($_GET['sessidpass']); // workaround for Flash session bug

/*	  	if (session_id() == '') 
		{
			
        }	 
*/
session_start(); 
	 $f_id = (isset($_GET['feid'])) ? $_GET['feid'] : $_GET['fieldid'];
	 $field_name = explode("[", $f_id); 


	$name =  "tb_".$field_name[0];

    if (isset($_SESSION[$name]))
    {
    $tinybrowser['sessioncheck'] = $name; 
    $_SESSION[$tinybrowser['sessioncheck']] = TRUE;

    $tinybrowser['path']['image'] = $_SESSION[$name.'folder_path']; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
    $tinybrowser['path']['media'] = $_SESSION[$name.'folder_path']; // Media files location
    $tinybrowser['path']['file']  = $_SESSION[$name.'folder_path']; // Other files location	

    $tinybrowser['link']['image'] =  $_SESSION[$name.'folder_url'];// Image links
    $tinybrowser['link']['media'] =  $_SESSION[$name.'folder_url'];// Media links
    $tinybrowser['link']['file']  =  $_SESSION[$name.'folder_url']; // Other file links

	$tinybrowser['maxsize']['image'] = $_SESSION[$name.'file_maxsize']; // Image file maximum size
    $tinybrowser['maxsize']['media'] = $_SESSION[$name.'file_maxsize']; // Media file maximum size
    $tinybrowser['maxsize']['file']  = $_SESSION[$name.'file_maxsize']; // Other file maximum size

	// Permitted file extensions
	$tinybrowser['filetype']['image'] = $_SESSION[$name.'flt_image'] ; // Image file types
	$tinybrowser['filetype']['media'] = $_SESSION[$name.'flt_media'] ; // Media file types
	$tinybrowser['filetype']['file']  =$_SESSION[$name.'flt_file'] ; // Other file types
				
	// Default image view method
	$tinybrowser['view']['image'] =$_SESSION[$name.'image_view']; // Possible values: thumb, detail

// File Pagination - split results into pages (0 is none)
	$tinybrowser['pagination'] = $_SESSION[$name.'pagination'];

	// Image automatic resize on upload (0 is no resize)
	$tinybrowser['imageresize']['width']  = $_SESSION[$name.'resize_width'] ;
	$tinybrowser['imageresize']['height'] = $_SESSION[$name.'resize_height'] ;

	// Image thumbnail size in pixels
	$tinybrowser['thumbsize'] =$_SESSION[$name.'thumbsize'];

	// Image and thumbnail quality, higher is better (1 to 99)
	$tinybrowser['imagequality'] = $_SESSION[$name.'imagequality'];// only used when resizing or rotating
	$tinybrowser['thumbquality'] = $_SESSION[$name.'thumbquality'];
		
	// Assign Permissions for Upload, Edit, Delete & Folders
	$tinybrowser['allowupload']  = $_SESSION[$name.'allowupload'];
	$tinybrowser['allowedit']     = $_SESSION[$name.'allowedit'];
	$tinybrowser['allowdelete']  = $_SESSION[$name.'allowdelete'];
	$tinybrowser['allowfolders'] = $_SESSION[$name.'allowfolders'];
	$tinybrowser['tinymce_url'] = (isset($_SESSION['tinymce_url'])) ? $_SESSION['tinymce_url'] : '' ;
	// Set the integration type (TinyMCE is default)
	$tinybrowser['integration'] =   (isset($_SESSION[$name.'integration'])) ? $_SESSION[$name.'integration'] : 'stand_alone';  
	// Clean filenames on upload
	$tinybrowser['cleanfilename'] = $_SESSION[$name.'cleanfilename'] ;
	// TinyMCE dialog.css file location, relative to tinybrowser.php (can be set to absolute link)
    $tinybrowser['tinymcecss'] = $tinybrowser['tinymce_url'].'themes/advanced/skins/default/dialog.css';
    
	// Set default language (ISO 639-1 code)
    $tinybrowser['language'] = (isset($_SESSION['language'])) ? $_SESSION['language'] : 'en';


    }
    else
	{ 
		if (basename($_SERVER['PHP_SELF']) == 'style_tinybrowser.css.php' OR basename($_SERVER['PHP_SELF']) == 'tb_tinymce.js.php') {
		$tinybrowser['thumbsize'] = 80;

		 }	
		else{	
			exit('No Upload Privilegies');
		}
	}


// Random string used to secure Flash upload if session control not enabled - be sure to change!
$tinybrowser['obfuscate'] = 's0merand0mjunk!!!111';
//echo $_SESSION['language'];

	// Set the integration type (TinyMCE is default)
// Possible values: 'tinymce', 'fckeditor'

// Default is rtrim($_SERVER['DOCUMENT_ROOT'],'/') (suitable when using absolute paths, but can be set to '' if using relative paths)
$tinybrowser['docroot'] = '';

// Folder permissions for Unix servers only
$tinybrowser['unixpermissions'] = 0777;

// Image thumbnail source (set to 'path' by default - shouldn't need changing)
$tinybrowser['thumbsrc'] = 'link'; // Possible values: path, link

// Date format, as per php date function
$tinybrowser['dateformat'] = 'd/m/Y H:i';

// Prohibited file extensions
$tinybrowser['prohibited'] = array('php','php3','php4','php5','phtml','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','dll','reg','cgi', 'sh', 'py','asa','asax','config','com','inc');

// Default file sort
$tinybrowser['order']['by']   = 'name'; // Possible values: name, size, type, modified
$tinybrowser['order']['type'] = 'asc'; // Possible values: asc, desc


// TinyBrowser pop-up window size
$tinybrowser['window']['width']  = 770;
$tinybrowser['window']['height'] = 480;

// Set default action for edit page
$tinybrowser['defaultaction'] = 'delete'; // Possible values: delete, rename, move

// Set delay for file process script, only required if server response is slow
$tinybrowser['delayprocess'] = 0; // Value in seconds


/*
// File upload paths (set to absolute by default)
$tinybrowser['path']['image'] = '/images/uploads/'; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
$tinybrowser['path']['media'] = '/images/uploads/'; // Media files location
$tinybrowser['path']['file']  = '/images/uploads/'; // Other files location

// File link paths - these are the paths that get passed back to TinyMCE or your application (set to equal the upload path by default)
$tinybrowser['link']['image'] = "http://aup.ru/images/uploads/'.$tinybrowser['path']['image']; // Image links
$tinybrowser['link']['media'] = 'http://aup.ru/images/uploads/'.$tinybrowser['path']['media']; // Media links
$tinybrowser['link']['file']  = 'http://aup.ru/images/uploads/'.$tinybrowser['path']['file']; // Other file links
*/

// File upload size limit (0 is unlimited)
$tinybrowser['maxsize']['image'] = 0; // Image file maximum size
$tinybrowser['maxsize']['media'] = 0; // Media file maximum size
$tinybrowser['maxsize']['file']  = 0; // Other file maximum size



?>
